Bug 225758 - databases/mariadb101-server: Update to mariadb-10.1.31 to fix multiple CVE
Summary: databases/mariadb101-server: Update to mariadb-10.1.31 to fix multiple CVE
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Bernard Spil
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-02-08 10:12 UTC by Pascal Christen
Modified: 2018-02-12 21:53 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (brnrd)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Pascal Christen 2018-02-08 10:12:03 UTC
Release date: 6 Feb 2018
Fixes for the following security vulnerabilities:
    CVE-2018-2562
    CVE-2018-2622
    CVE-2018-2640
    CVE-2018-2665
    CVE-2018-2668
    CVE-2018-2612


Relase notes: https://mariadb.com/kb/en/library/mariadb-10131-release-notes/
Comment 1 commit-hook freebsd_committer 2018-02-12 14:45:53 UTC
A commit references this bug:

Author: brnrd
Date: Mon Feb 12 14:45:13 UTC 2018
New revision: 461590
URL: https://svnweb.freebsd.org/changeset/ports/461590

Log:
  databases/mariadb101-server: Security update to 10.1.31

  PR:		225758
  Reported by:	Pascal Christen <pascal christen hostpoint.ch>
  MFH:		2018Q1
  Security:	e3445736-fd01-11e7-ac58-b499baebfeaf

Changes:
  head/databases/mariadb101-server/Makefile
  head/databases/mariadb101-server/distinfo
  head/databases/mariadb101-server/files/extra-patch-MDEV-15288
  head/databases/mariadb101-server/files/patch-CMakeLists.txt
  head/databases/mariadb101-server/files/patch-mysys__ssl_my__crypt.cc
  head/databases/mariadb101-server/pkg-plist
Comment 2 commit-hook freebsd_committer 2018-02-12 21:53:08 UTC
A commit references this bug:

Author: brnrd
Date: Mon Feb 12 21:53:05 UTC 2018
New revision: 461657
URL: https://svnweb.freebsd.org/changeset/ports/461657

Log:
  MFH: r461590

  databases/mariadb101-server: Security update to 10.1.31

  PR:		225758
  Reported by:	Pascal Christen <pascal christen hostpoint.ch>
  Security:	e3445736-fd01-11e7-ac58-b499baebfeaf

  Approved by:	ports-secteam (riggs)

Changes:
_U  branches/2018Q1/
  branches/2018Q1/databases/mariadb101-server/Makefile
  branches/2018Q1/databases/mariadb101-server/distinfo
  branches/2018Q1/databases/mariadb101-server/files/extra-patch-MDEV-15288
  branches/2018Q1/databases/mariadb101-server/files/patch-CMakeLists.txt
  branches/2018Q1/databases/mariadb101-server/files/patch-mysys__ssl_my__crypt.cc
  branches/2018Q1/databases/mariadb101-server/pkg-plist